<?xml version="1.0" encoding="gb2312"?>
<Config>
    <night_iso>6400</night_iso>
    <night_exposure>12</night_exposure> <!--night exposure threshold-->
    <night_lumaavg>15</night_lumaavg> <!--night avgbright threshold,[0,255]-->

    <ImageRegistrationMethod>1</ImageRegistrationMethod> <!--图像配准模块开关,{0,1}-->

    <GhostRemovalMethod>1</GhostRemovalMethod> <!--鬼影消除方法,{0,1}-->
    <GhostDMFrameTh>80</GhostDMFrameTh> <!--鬼影融合阈值,[50,90]-->
    <LocalMotionDetection>
        <MotionLowGray>10</MotionLowGray> <!--低灰阶运动检测阈值,[0,255]-->
        <MotionHighGray>20</MotionHighGray> <!--高灰阶运动检测阈值,[0,255]-->
        <MotionRatio>4.5</MotionRatio> <!--运动像素比例,判断是否参与融合,[0,100]-->
    </LocalMotionDetection>
    <PureColorMotionDetection>
        <MotionRatio>0.2</MotionRatio>
    </PureColorMotionDetection>
    <LocalMotionCorrection>255</LocalMotionCorrection>

    <ImageFusionMethod>1</ImageFusionMethod>
    <ImageFusion> <!--普通3帧HDR融合参数-->
        <MinDarkWeight>-1.0</MinDarkWeight>
        <MinBrightWeight>-1.0</MinBrightWeight>
        <MaxBrightWeight>1.0</MaxBrightWeight>
        <MaxDarkWeight>1.0</MaxDarkWeight>
        <PyramidTopSize>16</PyramidTopSize> <!--金字塔顶层尺寸,{16,32,64}-->
        <WeightCalcMethod>1</WeightCalcMethod> <!--权重计算方法,{0,1}-->
        <MinUnderExposureDiv>32</MinUnderExposureDiv> <!--长曝光权重中心,MinUnderExposureDiv<MaxUnderExposureDiv,[0,255]-->
        <MaxUnderExposureDiv>96</MaxUnderExposureDiv>
        <MinOverExposureDiv>176</MinOverExposureDiv>
        <MaxOverExposureDiv>226</MaxOverExposureDiv> <!--短曝光权重中心,MinOverExposureDiv<MaxOverExposureDiv,[0,255]-->
        <BlendCenter>128</BlendCenter>
        <BlendSigma>0.1</BlendSigma> <!--正常曝光帧权重图的Gaussian分布标准差,[0.05,0.5]-->
    </ImageFusion>

    <PostProcessValid>1</PostProcessValid>
    <PostProcess>
        <DenoiseDarkThresh>255</DenoiseDarkThresh>
    </PostProcess>

    <FlashHDR>
        <PyramidTopSize>16</PyramidTopSize> <!--金字塔顶层尺寸,{16,32,64}-->
        <WeightCalcMethod>0</WeightCalcMethod> <!--权重计算方法,{0,2}-->
        <BlendCenter>128</BlendCenter> <!--高斯权重图的Gaussian分布中心[0, 256]-->
        <BlendSigma>0.2</BlendSigma> <!--高斯权重图的Gaussian分布标准差,[0.05,0.5]-->
        <NoFlashWeight>128</NoFlashWeight> <!--noflash帧权重-->
        <IsoThreshold>3500</IsoThreshold> <!--鬼影阈值, [2500,3500]-->
        <GhostBlendCenter>180</GhostBlendCenter> <!--针对鬼影场景的高斯权重图的Gaussian分布中心[0, 256]-->
        <GhostNoFlashWeight>100</GhostNoFlashWeight> <!--针对鬼影场景noflash帧权重-->
    </FlashHDR>

    <Face>
        <AjustRatio>128</AjustRatio> <!--人脸框调整,人脸保护权重,[0,255]-->
        <Margin>10</Margin> <!--人脸框调整,人脸框平滑边缘,[-400,400]-->
        <SmoothRadius>40</SmoothRadius> <!--人脸框调整,人脸框平滑半径,[0,64]-->
        <usePotraitMask>1</usePotraitMask> <!--控制开关,{0,1}-->
        <potraitRatio>0.5</potraitRatio>
        <maskType>0</maskType> <!--Mask解析方式,[0,3]-->
        <potraitSmoothRadius>10</potraitSmoothRadius> <!--Mask 平滑半径,[0,100]-->
        <useDarkPotraitBlend>0</useDarkPotraitBlend>
        <fusionErosionRadius>10</fusionErosionRadius> <!--图像融合mask腐蚀半径,[0,100]-->
        <blendErosionRadius>10</blendErosionRadius> <!--人像暗帧替换腐蚀半径,[0,100]-->
        <blendSmoothRadius>10</blendSmoothRadius> <!--人像暗帧替换平滑半径,[0,100]-->
        <useGuidedFilter>1</useGuidedFilter> <!--guided filter控制开关,{0,1}-->
        <GuidedFilterRadius>10</GuidedFilterRadius> <!--guidedFilter半径-->
        <GuidedFilterEps>0.05</GuidedFilterEps> <!--guidedFilter正则系数-->
    </Face>

    <PreMotionDetection>
        <MotionLowGray>10</MotionLowGray>
        <MotionHighGray>20</MotionHighGray>
        <MotionRatio>5.0</MotionRatio>
    </PreMotionDetection>
</Config>
